<template>
  <div id="app">
    <LoginComponent v-if="!authenticated" />
    <div class="app header-default side-nav-dark" v-else>
      <div class="layout">
        <!-- Header START -->
        <HeaderComponent />
        <!-- Header END -->

        <MenuComponent />

        <!-- Page Container START -->
        <div class="page-container">
          <!-- Content Wrapper START -->
          <div class="main-content">
            <div class="container-fluid">
              <router-view/>
            </div>
          </div>
          <!-- Content Wrapper END -->

          <FooterComponent />
        </div>
      </div>
    </div>
    
  </div>
</template>
<script lang="ts">
import Vue from "vue";
import { mapGetters } from "vuex";
import HeaderComponent from "@/components/helpers/HeaderComponent.vue";
import MenuComponent from "@/components/helpers/MenuComponent.vue";
import LoginComponent from '@/pages/auth/LoginComponent.vue'
import FooterComponent from '@/components/helpers/FooterComponent.vue'
export default Vue.extend({
  components: { 
    LoginComponent, 
    MenuComponent,
    HeaderComponent,
    FooterComponent
  },
  computed: {
    ...mapGetters({
      authenticated: "authenticated"
    }),
  },
});
</script>
